﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

.invoicepaid {
    background-color: lightgreen !important;
}

.invoicelate {
    background-color: lightcoral !important;
}

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.editformbuttonstable
{
    border-spacing:0;
    border-collapse:collapse;
    padding: 100px;
    width:100%;
}
.contract_h2
{
    font-size:small;
    font-weight:bold;
}

.mainTableFormat {
    border-collapse: collapse;
}


.logga-meny {
    max-height: 75%;
    box-shadow: #000 0px 0px 5px;
    border-radius: 50%;
}
.logga-sidebar {
    max-width: 94%;
    box-shadow: #000 0px 0px 5px;
    border-radius: 50%;
}

.dialog-flex {
    display: flex;
    flex-direction: column;
    gap: 1em;
    padding: 0.25rem;
}

.buttons {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap:10px;
    justify-content: space-between;
}

/*
    .ex- stuff is for "extra payment" modal in contract details view 
*/
.exfigures {
    display: grid;
    grid-template-columns: auto 1fr 1fr;
    gap: 10px;
    place-items: center stretch;
    text-align: right;
}
.exfigures .exrowz {
    display: contents;
}
.exboldie {
    font-weight: 700;
}
.exinput {
    display: inline-block;
    grid-column: 2 / 4;
}
.exfigures > div > div {
    padding: 4px;
    border-radius: 4px;
}
.exchanged {
    background-color: #afc;
}


/*
    .cd- stuff is for contract details
*/

.cd-knappar {
    display:flex;
    flex-direction:row;
    gap:1rem;
    margin-bottom:1rem;
    place-items:center;
}
.cd-cards {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap:1rem;
}


/*
    .pp- stuff is for payment plan
*/
.pp-outer-container {
    display: flex;
    flex-direction: column;
    gap: 6px;
    
}
.pp-header {
    font-weight: bold;
    position: sticky !important;
    text-align: center !important;
    top: 64px;
    background-color:#fff;
    z-index: 1000;  
}
.pp-footer {
    font-weight: bold;
    position: sticky !important;
    text-align: center !important;
    bottom: 2px;
    z-index: 1000;
    display: flex;
    flex-direction: row;
    position: relative;

    padding: 6px;
    border: #f00 1px solid;
    border-radius: 5px;
    background: #fee;
    gap:30px;
    place-content: center;
    place-items: center;
}
.pp-payment-row {
    display: flex;
    flex-direction: row;
    gap: 4px;
    padding: 6px;
    border: #ccc 1px solid;
    border-radius: 5px;
    text-align: right;
    position: relative;
}
.pp-payment-row:hover {
    background: #e1f8f4 !important;
}
.pp-outer-container .pp-payment-row:nth-of-type(2n+1) {
    background: #f4f4f4;
}
.pp-payment-row > div {
    border-left:#ccc 1px solid;
    padding-left: 4px;
    padding-right:4px;
}
.pp-period {
    border:none !important;
    padding-left:0 !important;
    width:60px;
}
.pp-tvenne-values {
    display: grid;
    grid-template-columns: 1fr 1fr;
    place-items: center;
    place-content: stretch;
}
.ppp-length {
    opacity:0.5;
}
.pp-date {
    width: 100px;
}
.pp-debt-starting {
    width: 11ex;
}
.pp-debt-ending {
    width: 11ex;
}
.pp-amore {
    width: 13ex;
}
.pp-interest {
    width: 11ex;
}
.pp-rate {
    width: 10ex  ;
}
.pp-newrate {
    color: #00f !important;
}
.pp-changed {
    font-weight: bold;
}


.pp-extra-row {
    display: flex;
    flex-direction: row;
    gap: 4px;
    margin-left:100px;
    padding: 6px;
    text-align: right;
    position: relative;
}
.pp-extra-amount {
    font-weight: bold;
}

.pp-extra-actions {
    display: flex;
    align-items: center;
    margin-left: auto;
    padding-left: 10px;
}

.pp-year-divider {
    display: flex;
    align-items: center;
    text-align: center;
    margin: 2px;
    opacity:0.5;
}

.pp-year-divider::before,
.pp-year-divider::after {
    content: '';
    flex: 1;
    border-bottom: 1px solid #ccc;
}

.pp-year-divider span {
    margin: 0 10px; /* Spacing between the text and the line */
    white-space: nowrap; /* Prevent wrapping of the text */
    font-size: 14px; /* Adjust as needed */
}

.pp-invoice {
    padding: 6px 0.5rem;
    border: 1px #888 solid;
    border-left-color: #888 !important;
    border-radius: 5px;
    position: relative;
    top: -1px;
    margin-bottom: -13px;
    background-color: #ddd;
    display: flex;
    flex-direction: row;
    gap: 1rem;
    position: absolute;
    right: 0;
    height: 38px;
}
.pp-invoice-paid {
    background-color: #bfd;
}
.pp-invoice-late {
    background-color: #fdb;
}
.pp-invoice-text {
    display: flex;
    flex-direction:column;
    margin-bottom: -13px;
}
.pp-invoice-text-upper {
    font-size: 10px;
    margin-top: -5px;
    margin-bottom: -4px;
    display: block;
}





/*
    .pp- stuff is for payment plan
*/
.fn-statistics-frame {
    display: grid;
    grid-template-columns: auto auto auto;
    gap: 5px 20px;
    width: fit-content;
}
    .fn-statistics-frame .fn-statistics-heading {
        font-weight: bold;
    }
    .fn-statistics-frame .fn-statistics-num {
        text-align: center;
    }



.cconv-grid {
    grid-template-columns: auto 30px 30px 30px;
    display: grid;
    gap: 8px;
    place-content: start;
}
.cconv-yes {
    height: 20px;
    background: lightcoral;
}
.cconv-no {
    height: 20px;
    background: #7ed7c1;
}